.header {  
  & .header__links {
    color: var(--snow);
    & a {
      color: var(--snow);
    }
  }
  
  & .header__logo {
    & img {
      &:first-child {
        display: none;
      }
      &.home-header-logo-image{
        display: block;
      }
    }
  }
  
  & .link-line {
    background-color: var(--snow);
  }
}

.header.active {
  & .header-container {
    mix-blend-mode: exclusion;
  }
}

.header-nav__trigger {
  border-color: hsl(from var(--snow) h s l / 40%);
  & .header-nav__trigger-toggle {
    background-color: var(--snow);

    &::before,
    &::after {
      background-color: var(--snow);
    }
  }
}

.home-hero {
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  height: clamp(50rem, calc(var(--vh, 1vh) * 100), 80rem);
  @media (min-width: 768px) {
    padding: 0.625rem 0.625rem 0 0.625rem;
  }
}

.swiper:not(.swiper-initialized) {
  & .swiper-wrapper {
    display: flex;
    overflow: auto;
    & .swiper-slide {
      min-width: 90%;
    }
  }
}

.swiper.home-hero__slider {
  width: 100%;
  position: absolute;
  inset: 0;
  @media (min-width: 768px) {
    border-radius: 2rem;
  }
  &::after {
    pointer-events: none;
    content: "";
    position: absolute;
    z-index: 1;
    inset: 0;
    background-image: radial-gradient(50% 50% at 50% 50%, rgba(0, 0, 0, 0.00) 0%, rgba(0, 0, 0, 0.00) 45.67%, rgba(0, 0, 0, 0.25) 75%, rgba(0, 0, 0, 0.35) 100%);
  }
  & .swiper-wrapper {
    width: 100%;
    height: 100%;
    & .swiper-slide {
      width: 100%;
      height: 100%;
      & img {
        object-fit: cover;
        width: 100%;
        height: 100%;
      }
    }
  }
}

.home-reason-image {
  position: absolute;
  aspect-ratio: 400 / 267;
  box-shadow: var(--elevation-1);
  &.home-reason-image--1 {
    width: clamp(19.0625rem, 33.3125%, 33.3125rem);
    top: 0;
    right: -0.75rem;
    @media (min-width: 1024px) {
      right: auto;
      left: 7.5rem;
    }
  }
  &.home-reason-image--2 {
    width: clamp(11.6875rem, 31%, 31rem);
    bottom: 6.25rem;
    left: -2.125rem;
    @media (min-width: 1024px) {
      bottom: 8.75rem;
      left: -1rem;
    }
  }
  &.home-reason-image--3 {
    width: clamp(15.375rem, 33.125%, 33.125rem);
    bottom: 2rem;
    right: -3.125rem;
    @media (min-width: 1024px) {
      bottom: 4rem;
      right: -2.25rem;
    }
  }
}

.insta-list {
  & .webgene-blog {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 0.75rem;
    
    & .webgene-no-items {
      grid-column: span 2 / span 2;
    }
    
    @media (min-width: 768px) {
      gap: 1.5rem;
      grid-template-columns: repeat(4, minmax(0, 1fr));
      & .webgene-no-items {
        grid-column: span 4 / span 4;
      }
    }
  }
}



.home-link-bg-image {
  &::after {
    content: "";
    pointer-events: none;
    position: absolute;
    inset: 0;
    background: linear-gradient(103deg, rgba(32, 26, 22, 0.30) 5.63%, rgba(32, 26, 22, 0.18) 98.73%);
  }
  
  & > img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}




